# Deprecated API

## Contents

- Fields
- Methods
- Constructors

Fields
com.sun.mail.imap.IMAPFolder.FetchProfileItem.SIZE

Methods
com.sun.mail.dsn.MultipartReport.getDeliveryStatus(): use getReport instead
com.sun.mail.imap.protocol.IMAPProtocol.id​(String): As of JavaMail 1.5.1, replaced by `id(Map<String,String>)`
com.sun.mail.util.PropUtil.getBooleanSessionProperty​(Session, String, boolean)
com.sun.mail.util.PropUtil.getIntSessionProperty​(Session, String, int)
com.sun.mail.util.SocketFetcher.startTLS​(Socket)

Constructors
com.sun.mail.imap.protocol.SearchSequence()
com.sun.mail.util.MailLogger​(String, String, Session)